Name:           scim-chewing
Version:        0.3.1
Release:        14%{?dist}
Summary:        Chewing Chinese input method for SCIM

License:        GPL
Url:            http://chewing.csie.net/
Group:          System Environment/Libraries
Source:         http://chewing.csie.net/download/scim/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  scim-devel, libchewing-devel >= 0.3.0-9, gettext, intltool
Requires:       scim
Obsoletes:      iiimf-le-xcin <= 0.1.10
Patch0:         scim-chewing-0.3.1-4.bz197556.patch
Patch1:         scim-chewing-0.3.1-5.bz206125.patch
Patch2:         scim-chewing-0.3.1-6.bz206112.patch
Patch3:         scim-chewing-0.3.1-8.bz206120.patch
Patch4:         scim-chewing-0.3.1-9.bz216581.patch
Patch5:         scim-chewing-0.3.1-10.bz237924.patch
Patch6:         scim-chewing-0.3.1-11.bz200694.patch
Patch7:         scim-chewing-0.3.1-13.gcc.patch
Patch8:         scim-chewing-0.3.1-14.bz228428.patch

%description
This package provides Chewing Chinese input method for SCIM. 


%prep
%setup -q
%patch0 -p1 -b .1-bz197556
%patch1 -p1 -b .2-bz206125
%patch2 -p1 -b .3-bz206112
%patch3 -p1 -b .4-bz206120
%patch4 -p1 -b .5-bz216581
%patch5 -p1 -b .6-bz237924
%patch6 -p1 -b .7-bz200694
%patch7 -p1 -b .8-gcc
%patch8 -p1 -b .9-bz228428

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING
%{_libdir}/scim-1.0/*/SetupUI/chewing-imengine-setup.so
%{_libdir}/scim-1.0/*/IMEngine/chewing.so
%{_datadir}/scim/icons/scim-chewing.png
%{_datadir}/scim/icons/scim-chewing-swap-colors.png


%changelog
* Wed Apr 08 2008 Caius Chance <cchance@redhat.com> 0.3.1-14.fc9
- Resolves: rhbz#228428 (Ctrl-v during preedit appears in buffer on Qt XIM.)

* Wed Jan 13 2008 Caius Chance <cchance@redhat.com> 0.3.1-13.fc9
- Rebuild for F9.

* Tue Jan 08 2008 Caius Chance <cchance@redhat.com> 0.3.1-12.fc9
- Updated buildrequires version of libchewing-devel to 0.3.0-9.

* Tue Jan 08 2008 Caius Chance <cchance@redhat.com> 0.3.1-11.fc9
- Resolves: rhbz#200694 (Moving "Han-Yin" <-> Zhu-Yin" option to AUX UI.)

* Wed Dec 20 2007 Caius Chance <cchance@redhat.com> 0.3.1-10.fc9
- Resolves: rhbz#237924 (Last candidate on lookup table is not a valid 
                         candidate.)
  <<< Refit lookup table page size for last lookup page.

* Wed Jul  4 2007 Jens Petersen <petersen@redhat.com>
- remove with_libstdc_preview macro

* Tue Nov 21 2006 Caius Chance <cchance@redhat.com> - 0.3.1-9.fc7
- Fixed bz#216851 : ported following bugfix to rawhide:
  (bz#216377: PageUp/PageDown doesn't work when Chewing is activated.)

* Wed Nov 08 2006 Caius Chance <cchance@redhat.com> - 0.3.1-8.fc7
- Fixed bz#206120 : gedit crashes when select-all with preedit exists.

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-7
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Caius Chance <cchance@redhat.com> - 0.3.1-6.fc6
- Fixed bz#206112 : Esc key to clean all buffer could't be disabled.

* Fri Sep 15 2006 Caius Chance <cchance@redhat.com> - 0.3.1-5_fc6
- Fixed bz#206125 : scim-chewing: Trigger keys setting isn't correct

* Mon Sep 04 2006 Caius Chance <cchance@redhat.com> - 0.3.1-4_fc6
- Fixed bz#197556 : pre-edit buffer for chewing is not reset after
  deactivation.

* Thu Aug 17 2006 Caius Chance <cchance@redhat.com> - 0.3.1-3
- remove patch of 0.3.1-2 as bug# 191957 is not reproduceable

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-2.1
- rebuild

* Mon Jun 26 2006 Darshan Santani <dsantani@redhat.com> - 0.3.1-2
- Add scim-chewing-LTC23919-191957.patch (Shoji Sugiyama [IBM Japan], #191957)

* Fri Jun 16 2006 Darshan Santani <dsantani@redhat.com> 
- Update to 0.3.1
- Changed BuildRequires to include intltool

* Tue Jun 06 2006 Darshan Santani <dsantani@redhat.com>
- Changed the BuildRequires to include gettext
- Rebuild

* Tue May 23 2006 Darshan Santani <dsantani@redhat.com>
- Revised the version number
- Rebuild

* Mon May 22 2006 Darshan Santani <dsantani@redhat.com>
- New source tarball added.
- Rebuild.

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-6
- rebuild without libstdc++so7

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.1-5.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-5
- build conditionally with libstdc++so7 preview library (#166041)
- add with_libstdc_preview switch and tweak libtool to link against newer lib
- update filelist since module dir is now api-versioned

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-4
- rebuild with gcc-4.1

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-3
- obsoletes iiimf-le-xcin for upgrades (#173071)

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- require scim explicitly

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- initial build for Fedora Core
- version 0.2.1 buildrequires libchewing 0.2.7 or later
- spec file cleanup

* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-2
- rebuild against scim-1.3.1

* Tue Jun 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- initial build
